Polymer - Web Components - in conjunction with Google Web App Dev

apps

#1

Hello -

I succesfully installed Polymer with bower with the pre release and version 1.0 - but it has been updated, and now trying to load the test blank installation crashes…

Is it possible to do - or is there not enough resources in shared hosting to run large npm installs?


[server]$ npm install -g gulp bower && npm install && bower install
npm WARN deprecated lodash@1.0.2: lodash@<3.0.0 is no longer maintained. Upgrade to lodash@^4.0.0
/home/pushka/usr/local/bin/bower -> /home/pushka/usr/local/lib/node_modules/bower/bin/bower
/home/pushka/usr/local/bin/gulp -> /home/pushka/usr/local/lib/node_modules/gulp/bin/gulp.js
/home/pushka/usr/local/lib
±- bower@1.7.7
`-- gulp@3.9.1

npm WARN You are using a pre-release version of node and things may not work as expected
npm WARN deprecated gulp-minify-html@1.0.5: Consider using gulp-htmlmin instead
npm WARN deprecated gulp-minify-css@1.2.3: Please use gulp-cssnano instead.
npm WARN deprecated lodash@1.0.2: lodash@<3.0.0 is no longer maintained. Upgrade to lodash@^4.0.0
loadDep:q / |##################-------------------------------|
Killed
[server]$

I read somewhere that it might be a lack of ram/ swap-file space issue - maybe it’s limited for shared hosting users on Dreamhost?

[server]$ free -m
total used free shared buffers cached
Mem: 32181 29846 2334 0 121 15186
-/+ buffers/cache: 14537 17643
Swap: 3044 417 2626
Or do I need higher permissions?

[server]$ dmesg
dmesg: klogctl failed: Operation not permitted